<div id="form_wrapper" class="sp_chitchat_wrapper">
		<div class="form_wrapper_header" >
			<h1 class="sp_main_heading">Skype Chitchat Setting</h1>
		</div>
	<?php if(get_option('sp_save_changes')  == true && get_option('sp_save_changes') == '1'){?>
		<div id="setting-error-settings_updated" class="updated settings-error notice is-dismissible"> 
			<p><strong>Settings saved.</strong></p>
			<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button>
		</div>
	<?php update_option('sp_save_changes','0'); }  ?>
		<form name="sp_setting_form" id="sp_setting_form" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>"/>
			<?php extract(json_decode(get_option('skype_pulgin_setting_save'),true)); ?>
			<div class="sp_table_column">
				<h3>Skype Api Setting</h3>
				<table class="form-table new_border">
					<tr>
						<th scope="row"><label for="sp_skype_id">Skype Id</label></th>
						<td><input name="sp_skype_id" type="text" id="sp_skype_id" value="<?php echo isset($sp_skype_id)?$sp_skype_id:''; ?>" class="regular-text"><br><span id="sp_skype_id_err" style="color:red;"></span>
						<p class="description" >To get Skype Id you just need to  <a href="https://support.skype.com/en/faq/FA10858/what-s-my-skype-name"  target="_blank">Click Here</a></p></td>
					</tr>
				</table>
			</div>
			<div class="sp_table_column">
				<h3>Skype Button Setting</h3>
				<table class="form-table new_border">
					<tr>
						<th scope="row"><label for="sp_btn_lbl">Skype Button Text</label></th>
						<td><input name="sp_btn_lbl" type="text" id="sp_btn_lbl" value="<?php echo isset($sp_btn_lbl)?$sp_btn_lbl:''; ?>" class="regular-text"><br><span id="sp_btn_lbl_err" style="color:red;"></span></td>
					</tr>
					<tr>
						<th scope="row"><label for="sp_btn_style">Skype Button Style</label></th>
						<td>
							<select name="sp_btn_style" id="sp_btn_style"  class="regular-text">
								<option value="bubble" <?php echo(isset($sp_btn_style) && $sp_btn_style =='bubble')?'selected':'';?> >bubble</option>
								<option value="rectangle" <?php echo(isset($sp_btn_style) && $sp_btn_style =='rectangle')?'selected':'';?>>rectangle</option>
								<option value="rounded" <?php echo(isset($sp_btn_style) && $sp_btn_style =='rounded')?'selected':'';?> >rounded</option>
							</select>
						</td>
					</tr>
					<tr>
						<th scope="row"><label for="sp_btn_clr">Skype Button Color</label></th>
						<td><input name="sp_btn_clr" type="text" id="sp_btn_clr" value="<?php echo isset($sp_btn_clr)?$sp_btn_clr:''; ?>" class="regular-text sp_color_picker"></td>
					</tr>
				</table>
			</div>
			
			<div class="sp_table_column">
				<h3>Skype Chat Window Setting</h3>
				<table class="form-table new_border">
					<tr>
						<th scope="row"><label for="sp_msg_clr">Skype Message background Color</label></th>
						<td><input name="sp_msg_clr" type="text" id="sp_msg_clr" value="<?php echo isset($sp_msg_clr)?$sp_msg_clr:''; ?>" class="regular-text sp_color_picker"></td>
					</tr> 
					<tr>
						<th scope="row"><label>Skype Chat Theme</label></th>
						<td>
							<input name="sp_data_theme"  type="radio" value="light" <?php echo(isset($sp_data_theme) && $sp_data_theme =='light')?'checked':'';?> >Light &nbsp;&nbsp;&nbsp;
							<input name="sp_data_theme"  type="radio" value="dark" <?php echo(isset($sp_data_theme) && $sp_data_theme =='dark')?'checked':'';?> > Dark
						</td>
					</tr>				
					<tr>
						<th scope="row"><label>Skype Chat Data Can Collapse</label></th>
						<td> 
							<input name="sp_data_can_collapse" type="radio" value="true" <?php echo(isset($sp_data_can_collapse) && $sp_data_can_collapse =='true')?'checked':'';?> > True &nbsp;&nbsp;&nbsp;
							<input name="sp_data_can_collapse" type="radio" value="false" <?php echo(isset($sp_data_can_collapse) && $sp_data_can_collapse =='false')?'checked':'';?> > False
						</td>
					</tr>
					<tr>
						<th scope="row"><label>Skype Chat Data Can Close</label></th>
						<td>
							<input name="sp_data_can_close" type="radio" value="true" <?php echo(isset($sp_data_can_close) && $sp_data_can_close =='true')?'checked':'';?>> True &nbsp;&nbsp;&nbsp;
							<input name="sp_data_can_close" type="radio" value="false" <?php echo(isset($sp_data_can_close) && $sp_data_can_close =='false')?'checked':'';?>> False
						</td>
					</tr>
					<tr>
						<th scope="row"><label>Skype Chat Data Can Upload File</label></th>
						<td>
							<input name="sp_data_can_upload_file" type="radio" value="true" <?php echo(isset($sp_data_can_upload_file) && $sp_data_can_upload_file =='true')?'checked':'';?>> True &nbsp;&nbsp;&nbsp;
							<input name="sp_data_can_upload_file" type="radio" value="false" <?php echo(isset($sp_data_can_upload_file) && $sp_data_can_upload_file =='false')?'checked':'';?>> False
						</td>
					</tr>
					<tr>
						<th scope="row"><label>Skype Chat Data Show Header</label></th>
						<td>
							<input name="sp_data_show_header" type="radio" value="true" <?php echo(isset($sp_data_show_header) && $sp_data_show_header =='true')?'checked':'';?>> True &nbsp;&nbsp;&nbsp;
							<input name="sp_data_show_header" type="radio" value="false" <?php echo(isset($sp_data_show_header) && $sp_data_show_header =='false')?'checked':'';?>> False
						</td>
					</tr>
					<tr>
						<th scope="row"><label>Skype Chat Data Entry Animation</label></th>
						<td>
							<input name="sp_data_entry_animation" type="radio" value="true" <?php echo(isset($sp_data_entry_animation) && $sp_data_entry_animation =='true')?'checked':'';?> > True &nbsp;&nbsp;&nbsp;    
							<input name="sp_data_entry_animation" type="radio" value="false" <?php echo(isset($sp_data_entry_animation) && $sp_data_entry_animation =='false')?'checked':'';?>> False
						</td>
					</tr>
				</table>
			</div>

			<div class="sp_table_column">
				<h3>Page Setting</h3>
				<table class="form-table">
					<tr>
						<th scope="row"><label for="sp_Show_all">Show To All</label></th>
						<td>
							<?php  $sp_Show_all = isset($sp_Show_all)?$sp_Show_all:'yes'; ?>
							<input name="sp_Show_all" type="radio"  value="yes" <?php echo (isset($sp_Show_all) && $sp_Show_all =="yes" )?'checked':'';  ?> >Yes
							<input name="sp_Show_all" type="radio"  value="no" <?php echo (isset($sp_Show_all) && $sp_Show_all =="no" )?'checked':'';  ?> >No
						</td>
					</tr>
					<tr>
						<th scope="row"><label for="sp_select_page">Select Page</label></th>
						<td>
							<select id="sp_select_page"  name="sp_select_page[]" multiple="multiple"  class="regular-text sp_select_page">
							  <option value="1">Select All</option>		
							<?php 
							  $pages = get_pages(); 
							  foreach ( $pages as $page ) {?>
							  <option value="<?php echo $page->ID;?>"
							  <?php if(!empty($sp_select_page))
							  if(in_array($page->ID, $sp_select_page))
								  echo "selected"; ?> > <?php echo $page->post_title; ?> 
							  </option>					  
							  <?php				
							  }
							 ?>
							 </select>
						</td>
						
					</tr>
					<tr>
						<th scope="row"><label for="sp_select_post">Select Post</label></th>
						<td>
							<select id="sp_select_post"  name="sp_select_post[]" multiple="multiple"  class="regular-text sp_select_post"  >
							  <option value="1">Select All</option>				 
						 <?php
								$postlist = get_posts( 'orderby=menu_order&sort_order=asc' );
								$posts = array();
								foreach ( $postlist as $post ) {?>
								  <option value="<?php echo $post->ID;?>"
							  <?php if(!empty($sp_select_post))
							  if(in_array($post->ID, $sp_select_post))
								  echo "selected"; ?> > <?php echo $post->post_title; ?> 
								</option>
								<?php
								}
						?> 
							 </select>
						</td>
					</tr>
				</table>
			</div>
			<div class="full_width sp_btn_wrapper">
				<p class="submit">
					<input type="submit" name="sp_form_submit_btn" id="sp_form_submit_btn" class="button button-primary" value="Save Changes">
				</p>
			</div>
		</form>	
	</div>
